#ifndef	___CLFolder_H_
#define	___CLFolder_H_
//------------------------------------------------------------------------------
// BeOS
#include <image.h>
// C++
// Add
// Proj
#include "ContainerLoader.h"
//------------------------------------------------------------------------------
//------------------------------------------------------------------------------
//==============================================================================
class	TCLFolder : public TContainerLoader
{
public:
	TCLFolder(const string& oPath);
	~TCLFolder();

	// ロード
	virtual bool		IsLoadable(const entry_ref& oERef,TSupportFmt* oFmt) const;	// ロード可能かどうか
	virtual status_t	Load(const entry_ref& oERef,list<string>* oFiles);			// ロード

	// アドオンの情報
	virtual string		Name() const;			// アドオンの名前
	virtual string		Version() const;		// アドオンのバージョン
	virtual string		Copyright() const;		// アドオンの著作権情報
	virtual string		Description() const;	// アドオンの説明

private:
	typedef	TContainerLoader	SUPER;
};
//==============================================================================
/*	''''''''''''''''''''''''''''''
Light MIDI がアドオンを読み込めるように、make_container_loader はエクスポートしておかなければならない
make_container_loader must be exported
,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,	*/
extern "C" _EXPORT TContainerLoader*	make_container_loader(const string& oPath,image_id oImgID);
//==============================================================================
#endif	// ___CLFolder_H_
