/*==============================================================================
		コンテナローダー　基底クラス		for BeOS		Ver 1.10
		Copyright (C) 2002 by ＳＨＩＮＴＡ
==============================================================================*/

/*	''''''''''''''''''''''''''''''
コンテナローダーアドオン：プレイリストを読み込み、Light MIDI 本体に内容を教える。
Container Loader Add-on : Load a playlist, and tell the contents to Light MIDI.
,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,	*/

/*==============================================================================
 Ver. |					主な改良点
--------------------------------------------------------------------------------
 ---- | 2002.01.01.Tu 開発着手。
 1.00 | 2002.01.01.Tu オリジナルバージョン。
 1.10 | 2002.01.08.Tu 第 2 世代仕様に準拠した。
==============================================================================*/

//------------------------------------------------------------------------------
#include "ContainerLoader.h"
//==============================================================================
TContainerLoader::TContainerLoader(const string& oPath)
		: mPath(oPath)
{
}
//------------------------------------------------------------------------------
TContainerLoader::~TContainerLoader()
{
}
//------------------------------------------------------------------------------
/*	''''''''''''''''''''''''''''''
アドオンが oERef をロード可能かどうか Light MIDI 本体に知らせる
ロード可能なら true、不可能なら false を返す
oFmt には oERef の形式を格納するが、通常は SF_CONTAINER_GENERAL を格納することが望ましい
*oFmt = SF_CONTAINER_GENERAL;
,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,	*/
#if 0
bool	TContainerLoader::IsLoadable(const entry_ref& oERef,TSupportFmt* oFmt)
{
}
#endif
//------------------------------------------------------------------------------
/*	''''''''''''''''''''''''''''''
oERef をロードする
oERef に記述されているファイルの一覧を oFiles に格納する
うまくロードできたら B_OK、できなかったらそれ以外（ B_ERROR など）を返す
,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,	*/
#if 0
status_t	TContainerLoader::Load(const entry_ref& oERef,list<string>* oFiles)
{
}
#endif
//------------------------------------------------------------------------------
/*	''''''''''''''''''''''''''''''
互換性チェック
本当は virtual 関数にしたくなかったのだが、virtual にしないと常に Light MIDI 本体ビルド時の
値が返ってきてしまったので、仕方なく virtual 関数にした。
,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,	*/
int32	TContainerLoader::SpecificationNumber() const
{
	return CL_SPECIFICATION_NUMBER;
}
//------------------------------------------------------------------------------
string	TContainerLoader::Path() const
{
	return mPath;
};
//==============================================================================
